Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.sci
Class TypeStorage

    java.lang.Object
      com.plumtree.remote.sci.TypeStorage

public class TypeStorage
extends java.lang.Object

Type-safe enumeration for storage types (integer or string). There are a number of values in the 4.5 portal that are required to be stored as an integer, e.g. CrawlerConstants.TAG_DEPTH and CrawlerConstants.TAG_THREADS.

Field Summary
`static TypeStorage` | `STORAGE_INTEGER` `TypeStorage` for integer.
`static TypeStorage` | `STORAGE_STRING` `TypeStorage` for string.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCode()` Gets the internal constant associated with this `TypeStorage`.
`int` | `hashCode()`
`static TypeStorage` | `parse(java.lang.String val)` Creates a `TypeStorage` from a string.
`java.lang.String` | `toString()` Writes the `TypeStorage` to a string.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STORAGE_INTEGER

    public static TypeStorage STORAGE_INTEGER

  `TypeStorage` for integer.

### STORAGE_STRING

    public static TypeStorage STORAGE_STRING

  `TypeStorage` for string.

Method Detail

### getCode

    public java.lang.String getCode()

  Gets the internal constant associated with this `TypeStorage`.

  Returns:
    string

### parse

    public static TypeStorage parse(java.lang.String val)

  Creates a `TypeStorage` from a string.

  Parameters:
    `val` - a valid storage type
  Returns:
    `TypeStorage`

### toString

    public java.lang.String toString()

  Writes the `TypeStorage` to a string.

  Returns:
    string

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.